Package io.vertx.rx.java

## Class ContextScheduler.ContextWorker

- java.lang.Object
- - rx.Scheduler.Worker
  - - io.vertx.rx.java.ContextScheduler.ContextWorker

- All Implemented Interfaces:
    `Subscription`
  Enclosing class:
    ContextScheduler

      public class ContextScheduler.ContextWorker
      extends Scheduler.Worker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextWorker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `countActions()` |
    `boolean` | `isUnsubscribed()` |
    `Subscription` | `schedule​(Action0 action)` |
    `Subscription` | `schedule​(Action0 action, long delayTime, TimeUnit unit)` |
    `Subscription` | `schedulePeriodically​(Action0 action, long initialDelay, long period, TimeUnit unit)` |
    `void` | `unsubscribe()` |

    - ### Methods inherited from class rx.Scheduler.Worker

      `now`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextWorker

          public ContextWorker()

  - ### Method Detail

    - #### countActions

          public int countActions()

    - #### schedule

          public Subscription schedule​(Action0 action)

      Specified by:
        `schedule` in class `Scheduler.Worker`

    - #### schedule

          public Subscription schedule​(Action0 action,
                                       long delayTime,
                                       TimeUnit unit)

      Specified by:
        `schedule` in class `Scheduler.Worker`

    - #### schedulePeriodically

          public Subscription schedulePeriodically​(Action0 action,
                                                   long initialDelay,
                                                   long period,
                                                   TimeUnit unit)

      Overrides:
        `schedulePeriodically` in class `Scheduler.Worker`

    - #### unsubscribe

          public void unsubscribe()

    - #### isUnsubscribed

          public boolean isUnsubscribed()